Bug 201499 - IllegalStateException in OpenRemoteProjectAction
IllegalStateException in OpenRemoteProjectAction
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.0
All All
: P2 (vote)
: 7.1
Assigned To: Vladimir Kvashin
issues@cnd
701patch2-verified, oss30
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-31 18:52 UTC by Vladimir Kvashin
Modified: 2011-09-27 10:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2011-08-31 18:52:05 UTC
When trying to open a project from "Build Hosts" in Services, tried, I got an exception:

java.lang.IllegalStateException: Problem in some module which uses Window System: Window System API is required to be called from AWT thread only, see http://core.netbeans.org/proposals/threading/
        at org.netbeans.core.windows.WindowManagerImpl.warnIfNotInEDT(WindowManagerImpl.java:1686)
        at org.netbeans.core.windows.WindowManagerImpl.getMainWindow(WindowManagerImpl.java:176)
        at org.netbeans.modules.remote.ui.OpenRemoteProjectAction$2.run(OpenRemoteProjectAction.java:112)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1973)
Comment 1 Vladimir Kvashin 2011-08-31 20:15:43 UTC
Fixed in cnd-main
http://hg.netbeans.org/cnd-main/rev/473b1e022385
Comment 2 Vladimir Voskresensky 2011-09-09 14:30:50 UTC
patch candidates are P2s
Comment 3 Alexander Simon 2011-09-12 14:45:49 UTC
fix is correct and safe
Comment 4 Vladimir Kvashin 2011-09-12 15:27:19 UTC
Pushed into releases_elif:
http://elif.russia.sun.com/hg/releases_elif/rev/8320fe0d71bf
Comment 5 Vladimir Kvashin 2011-09-12 17:30:43 UTC
Sorry, the correct change set in releases_elif is
http://elif.russia.sun.com/hg/releases_elif/rev/ee452b50b7e5
Comment 6 Alexander Pepin 2011-09-20 14:33:54 UTC
can not reproduce in OSS build 30
Comment 7 Quality Engineering 2011-09-26 13:31:34 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/ee452b50b7e5
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #201499 - IllegalStateException in OpenRemoteProjectAction
(transplanted from 473b1e022385ee4dbf1f18a2442528b18c70a41d)
Comment 8 dnikitin 2011-09-27 10:44:37 UTC
can not reproduce in patch2 (NetBeans IDE 7.0.1 (Build 201109261118))


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo